About network diagrams

Click to show or hide information. Show me an example

This is an image of a network created with the Basic Network template.

Using the Basic Network template, you can plan and document simple networks by dragging shapes that resemble common network topology and devices onto the drawing page.

Create a network diagram


Create a network diagram (Basic Network)

Click to show or hide information. Show me an example

This is an image of a network created with the Basic Network template.

  1. On the File menu, point to New, point to Network, and then click Basic Network.
  2. From the Basic Network Shapes or Basic Network Shapes 3D stencil, drag a ring, bus, Ethernet, or other network topology shape onto the drawing page.
  3. From the Basic Network Shapes, Basic Network Shapes 2, or Basic Network Shapes 3D stencil, drag computer, printer, and other shapes to indicate the devices connected to the network that the network topology shape represents.
  4. Attach the devices to the network topology shape using the shape's built-in connectors.
  5. Select any network shape, and then type to replace the existing text with a person's name, a room number, or the name of the network device. Drag the control handle [image] to reposition the text.
  6. Use the Laptop computer, Modem, Fax, Public switch, Cloud, Comm-link, and other connector shapes from the stencils to indicate connections to devices outside of a network.
  7. Right-click any network shape, and then click Properties to associate custom property values with the shape, such as manufacturer name, product number, serial number, location, room, or department. After you add custom property values, you can generate reports based on these values.
  8. Add a title to different sections of the drawing or to the entire drawing.

You can also do any of the following with your network diagram:

Associate serial number and location data with network shapes

Work with one manufacturer's network devices at a time

Number shapes in a network diagram

Add data to shapes in a network diagram

Customize the behavior of line jumps in a network diagram

Attach devices to a network topology shape

Attach more than eight devices to a network topology shape


Network diagram example

This is a network drawing created with the Basic Network solution.


About finding advanced network shapes and solutions at Visio Network Center

Looking for a specific network shape or a solution that discovers your Layer 2 and Layer 3 information? Do you want an easy way to import an existing directory service structure and revise it? You can get this and more at the Visio Network Center Web site, a subscription-based site where you can download up-to-date network equipment shapes, advanced network diagramming solutions, and other resources to help you more fully diagram your network infrastructure.

Click to show or hide information. Tell me what's available.

  • The AutoDiscovery and Layout solution. Use this solution to inventory devices and connectivity on existing networks. This solution discovers Layer 2, Layer 3, Frame relay, and Cisco VLAN and Spanning Tree information. It also discovers WMI details from Windows 2000 servers and workstations. Enhance your use of the AutoDiscovery and Layout solution by downloading templates that are designed to simplify common documentation tasks. Each template includes a sample diagram with a title, legend, annotations that can easily be modified to meet your needs, and a set of detailed instructions on how to use the diagram to simplify your tasks.
  • The Directory Services solution. Use this solution to diagram a new directory from scratch or import an existing directory structure, modify it, and then export it back to a file format you can export to your directory service. The three supported directory services are LDAP-compliant, Microsoft Active Directory, and Novell Directory Services.
  • The Exchange Topology solution. Use this solution to diagram the routing group topology of a Microsoft Exchange 5.5 or Exchange 2000 system. You can import an existing Exchange structure and automatically generate a graphical representation of the topology. You can accomplish this using Microsoft Visio or, with the downloaded solution, create the diagram within Microsoft Management Console (MMC).
  • The Site Topology solution. Use this solution to automatically diagram the sites and site connectors for a Windows 2000 forest, graphically showing how all the components of the sites and site connectors fit together.
  • Visio Network Equipment shapes. Search through and download more than 23,500 detailed and up-to-date network shapes. You can search by product line, key word, or manufacturer. You can also download tools for generating detailed custom reports about the status and connectivity of your network.

Click to show or hide information. Show me an example of a Visio Network Equipment shape

This is an example of a typical shape that you can download from Visio Network Center.

At Visio Network Center you can also:

  • Download or read online guidelines, articles, and training materials.
  • View informational webcasts.
  • Learn how to deploy a Windows 2000 environment.
  • Follow links to manufacturer's Web sites.
  • Submit requests for shapes that are not currently in the shape library.
  • Submit feedback on bugs and wish-lists for additional information you would like to find at Visio Network Center.
  • Sign up to be notified of updates, such as the addition of new shapes and templates.

Where to find the Web site:

Visit Visio Network Center (please note that the content on this site is in English).


Add data to shapes in a network diagram (Basic Network)

  1. Drag a shape representing a network device or topology onto your network diagram.
  2. Right-click the shape, and then click Properties.
  3. In the Custom Properties dialog box, type values for the properties you want, and then click OK.


Customize the behavior of line jumps in a network diagram

  1. Open the network diagram that contains the line jumps you want to customize.
  2. On the File menu, click Page Setup.
  3. On the Layout and Routing tab, under Line jumps, specify the options you want, and then click OK.


Attach devices to a network topology shape

  1. In your network diagram, select a network topology shape representing a ring, bus, Ethernet, or other network structure.
  2. Place the pointer over a control handle [image]. When the pointer changes to a four-way arrow, drag it to a connection point [image] on one of the device shapes.
  3. The connection turns red when the connector is glued to the shape, indicating that you can move the shape without breaking the connection.


Attach more than eight devices to a network topology shape

  1. Drag a network topology shape, such as the Straight bus, Ethernet, or Token-ring shape, onto your network diagram to represent your network structure.
  2. Drag shapes representing eight of the devices you want to connect to the network, and then attach the devices to the network topology shape.

Click to show or hide information. How?

  1. In your network diagram, select a network topology shape representing a ring, bus, Ethernet, or other network structure.
  2. Place the pointer over a control handle [image]. When the pointer changes to a four-way arrow, drag it to a connection point [image] on one of the device shapes.
  3. The connection turns red when the connector is glued to the shape, indicating that you can move the shape without breaking the connection.
  3. Drag a second network topology shape directly on top of the first shape.
  4. Drag shapes representing the additional devices you want to connect to the network onto the drawing page.
  5. Drag the control handles [image] on the second network topology shape and gluethem to connection points [image] on the additional devices.

Important If you intend to generate data reports from your network diagram, do not use this method of using two shapes to represent one network structure. The reports will include misleading data.


Work with one manufacturer's network devices at a time

Microsoft Visio automatically places the network shapes you drag onto the drawing page onto layers. For example, if you drag a Macintosh shape onto the page, the shape is placed on the Apple layer. If you drag an IBM Controller shape onto the page, the shape is placed on the IBM layer.

Shapes on one layer can be controlled separately from shapes on another layer. For example, you can show all the Apple devices in a network diagram and hide the IBM devices.

Or, you can print the Apple devices separately from the IBM devices. When you generate a report of the serial numbers, locations, departments, and other network equipment data from a network diagram, you can limit the report to visible shapes.


Number shapes in a network diagram

  1. Open the network diagram in which you want to number shapes, and then display the page that includes the first shapes you want to number.
  2. If you only want to number some of the shapes, select the shapes you want to number.
  3. On the Tools menu, point to Macros, point to Visio Extras, and then click Number Shapes.
  4. On the General tab, choose the shape numbering options you want, and then click OK.
  5. Repeat steps 2 through 4 for each page of your drawing that has shapes you want to number.

Click to show or hide information. Tip

You can also set up numbering options in advance and number shapes as you create a new drawing.


Associate serial number and location data with network shapes

  1. Drag a shape representing a network device or topology onto your network diagram.
  2. Right-click the shape, and then click Properties.
  3. In the Custom Properties dialog box, type values for the properties you want, and then click OK.